import { post, get, detele ,put} from '../index'


// listUser, getUser, delUser, addUser, updateUser, resetUserPwd, changeUserStatus, deptTreeSelect


// 查询用户列表
export const listUser = (data: any) => {
    return get('/system/user/list', data)
}

// 查询用户详细
export const getUser = (userId: any) => {
    return get('/system/user/${userId}', {})
}
// 删除用户
export const delUser = (userId: any) => {
    return detele(`/system/user/${userId}`, {})
}
// 新增用户
export const addUser = (data: any) => {
    return post('/system/user', data)
}
// 修改用户
export const updateUser = (data: any) => {
    return put('/system/user', data)
}
// 用户密码重置
export const resetUserPwd = (data: any) => {
    return put('/system/user/resetPwd', data)
}
// 用户状态修改
export const changeUserStatus = (data: any) => {
    return put('/system/user/changeStatus', data)
}
// 查询部门下拉树结构
export const deptTreeSelect = (data: any) => {
    return get('/system/user/deptTree', data)
}
 
// 根据参数键名查询参数值
export const getConfigKey = (configKey: any) => {
    return get( '/system/config/configKey/' + configKey, {})
}